# Uses of Class
org.apache.sysds.hops.recompile.RecompileStatus

Packages that use RecompileStatus
Package
Description
org.apache.sysds.hops
org.apache.sysds.hops.recompile

## Uses of RecompileStatus in org.apache.sysds.hops

Methods in org.apache.sysds.hops with parameters of type RecompileStatus
Modifier and Type
Method
Description
`void`
MemoTable.`extract(ArrayList<Hop> hops, RecompileStatus status)`
`void`
MemoTable.`init(ArrayList<Hop> hops, RecompileStatus status)`
`void`
MemoTable.`init(Hop hop, RecompileStatus status)`

## Uses of RecompileStatus in org.apache.sysds.hops.recompile

Methods in org.apache.sysds.hops.recompile that return RecompileStatus
Modifier and Type
Method
Description
`static RecompileStatus`
Recompiler.`reconcileUpdatedCallVarsIf(RecompileStatus oldStatus, RecompileStatus callStatusIf, RecompileStatus callStatusElse, StatementBlock sb)`
Methods in org.apache.sysds.hops.recompile with parameters of type RecompileStatus
Modifier and Type
Method
Description
`static ArrayList<Instruction>`
Recompiler.`recompile(StatementBlock sb, ArrayList<Hop> hops, ExecutionContext ec, RecompileStatus status, boolean inplace, boolean replaceLit, boolean updateStats, boolean forceEt, boolean pred, Types.ExecType et, long tid)`
Core internal primitive for the dynamic recompilation of any DAGs/predicate, including all variants with slightly different configurations.
`static ArrayList<Instruction>`
Recompiler.`recompileHopsDag(Hop hop, LocalVariableMap vars, RecompileStatus status, boolean inplace, boolean replaceLit, long tid)`
`static ArrayList<Instruction>`
Recompiler.`recompileHopsDag(StatementBlock sb, ArrayList<Hop> hops, ExecutionContext ec, RecompileStatus status, boolean inplace, boolean replaceLit, long tid)`
`static ArrayList<Instruction>`
Recompiler.`recompileHopsDag(StatementBlock sb, ArrayList<Hop> hops, LocalVariableMap vars, RecompileStatus status, boolean inplace, boolean replaceLit, long tid)`
`static RecompileStatus`
Recompiler.`reconcileUpdatedCallVarsIf(RecompileStatus oldStatus, RecompileStatus callStatusIf, RecompileStatus callStatusElse, StatementBlock sb)`
`static boolean`
Recompiler.`reconcileUpdatedCallVarsLoops(RecompileStatus oldCallStatus, RecompileStatus callStatus, StatementBlock sb)`